<?php

// Error reporting
error_reporting(E_ALL^E_NOTICE);

// Including additional files
require "connect.php";
require "functions.php";

// If there is no key, create a new one
if(!$_SESSION['key'])
{
	// Making a new unique key:
	$key = md5(time().$_SERVER['REMOTE_ADDR']);
	
	// Saving it to the session. Will be used in post.php;
	$_SESSION['key'] = $key;
}

// The total number of wishes. Used in the pagination:
list($total)=mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM christmas_wishes"));

$results_per_page=5;
$page=1;
if((int)$_GET['page']>1) $page = (int)$_GET['page'];

$start=($page-1)*$results_per_page;

// Selecting the wishes from the database. Using te LIMIT cause:
$res = mysql_query("SELECT * FROM christmas_wishes ORDER BY id DESC LIMIT ".$start.",".$results_per_page);

$wishes='';
$c = '';
$i=0;

while($row=mysql_fetch_assoc($res))
{
	$c='red';
	if($i++%2 == 0) $c='green';
	
	$wishes .= '
	<div class="wish '.$c.'">
		<div class="stage">
		<div class="topIcon"></div>
		<div class="profile-pic"><fb:profile-pic uid="'.$row["facebook_id"].'" facebook-logo="true" size="s"></fb:profile-pic></div>
		<div class="name"><fb:name uid="'.$row["facebook_id"].'" useyou="false">Facebook User</fb:name>&nbsp;wished</div>
		<div class="body">'.htmlspecialchars(stripslashes($row["wish"])).'</div>
		<div class="clear"></div>
		</div>
	</div>
	';
}

?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:fb="http://www.facebook.com/2008/fbml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Christmas Wishes With Facebook Connect | Tutorialzine demo</title>

<link rel="stylesheet" type="text/css" href="demo.css" />

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
<script type="text/javascript" src="http://static.ak.connect.facebook.com/js/api_lib/v0.4/FeatureLoader.js.php"></script>
<script type="text/javascript" src="jquery.scrollTo-min.js"></script>

<script type="text/javascript" src="script.js"></script>

</head>

<body>

<div id="header">
<div id="logo"><a href="/" title="Home"><img alt="Logo" src="img/christmas_special.png" width="469" height="144" /></a></div>
<div id="backToTut"><a href="http://tutorialzine.com/2009/12/christmas-wishes-facebook-connect/"><img src="img/back_to_tut.png" width="190" height="78" alt="Back to the tut" /></a></div>
</div>

<div id="main">

  <h1 class="tutTitle">Christmas Wishes With Facebook Connect</h1>
 
<div id="wishesContainer">
 
 <?php
 // Outputting the wishes to the page:
 echo $wishes;
 ?>
</div>

<?php

// If this is the first page, show the submit form:

if($page==1):
?>

<div id="addWish" class="wish add">
    <div class="stage">
    <div class="topIcon"></div>
    <div class="profile-pic"><fb:profile-pic uid="loggedinuser" facebook-logo="true" size="s"></fb:profile-pic></div>
	<div class="name"></div>
    <div id="share" class="body">

        <div class="toggleContent">
        Connect with facebook to post a wish<br />
        <fb:login-button onlogin=""></fb:login-button>
        </div>
        
        <div class="toggleContent" style="display:none">
         <form action="" method="post" id="wForm">
         <p>
         <textarea name="wish" id="wish" cols="20" rows="2"></textarea>
         <input name="" id="sbutton" type="submit" value="Submit" />
         <label for="cb">Post my wish to facebook as well</label>
         <input name="cb" id="cb" type="checkbox" value="1" checked="checked" />
         <input name="key" id="key" type="hidden" value="<?php echo $_SESSION['key'] ?>" />
         </p>
         </form>
        </div>
    
    </div>
    <div class="clear"></div>
    </div>
</div>

<?php

endif;

// Generating the pagination:
echo getPaginationString($page, $total, $results_per_page, 1, "/", "?page=")

?>
<div class="clear"></div>
</div>
    <p class="tutInfo">This is a tutorialzine demo. View the <a href="http://tutorialzine.com/2009/12/christmas-wishes-facebook-connect/">original tutorial</a>, or download the <a href="demo.zip">source files</a>.</p>


</body>
</html>
